// $Id: gc_text_ctrl.h,v 1.7 2018/01/03 21:33:00 mkkuhner Exp $

/*
Copyright 2002-2005 Mary K. Kuhner, Peter Beerli, and Joseph Felsenstein

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

*/

/* Authors: Mary Kuhner, Jon Yamato, and Joseph Felsenstein */


#ifndef GC_TEXT_CTRL_H
#define GC_TEXT_CTRL_H

#include "wx/textctrl.h"

class GCTextInput : public wxTextCtrl
{

  private:
    GCTextInput();       // undefined
  public:
    GCTextInput(wxWindow * parentWindow,const wxValidator& validator);
    virtual ~GCTextInput();
};

class GCIntegerInput : public GCTextInput
{
  private:
    GCIntegerInput();       // undefined
  public:
    GCIntegerInput(wxWindow * parentWindow);
    virtual ~GCIntegerInput();
};

class GCNonNegativeIntegerInput : public GCTextInput
{
  private:
    GCNonNegativeIntegerInput();       // undefined
  public:
    GCNonNegativeIntegerInput(wxWindow * parentWindow);
    virtual ~GCNonNegativeIntegerInput();
};

#endif  // GC_TEXT_CTRL_H

//____________________________________________________________________________________
